import { CssBaseline, ThemeProvider, createTheme } from '@mui/material'

function App(): JSX.Element {
  // const ipcHandle = (): void => window.electron.ipcRenderer.send('ping')

  const appTheme = createTheme({
    cssVariables: true,
    colorSchemes: {
      dark: true,
    },
    palette: {
      mode: 'light',
      primary: {
        main: '#3949ab',
      },
      secondary: {
        main: '#1e88e5',
      },
    },
  })

  return (
    <ThemeProvider theme={appTheme}>
      <CssBaseline />
      <span className="text-2xl">Hello, World!</span>
    </ThemeProvider>
  )
}

export default App
